Skip to main content
Resource Center/Network Resource/L2 Network Operations

QueryPhysicalSwitch

QueryPhysicalSwitch

GET/zstack/v1/topo/physical-switches
GET/zstack/v1/topo/physical-switches/{uuid}

Operation ID

QueryPhysicalSwitch

Since

5.4.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • success
    booleanRequired

    Whether the operation succeeded.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • fabricIds
      StringRequired

      The fabric IDs.

    • sdnControllerUuid
      StringRequired

      The sdn controller UUID.

    • deleted
      BooleanRequired

      The deleted.

    • createDate
      TimestampRequired

      The last operation date.

    • lastOpDate
      TimestampRequired

      The last operation date.

  • error
    ErrorCodeRequired

    See error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • uuid
    StringRequired

    The resource UUID.

  • name
    StringRequired

    The resource name.

  • description
    StringRequired

    The detailed description of the resource.

  • ethTrunkName
    StringRequired

    The name of the trunk port to which the physical switch port belongs.

  • portType
    StringRequired

    The link type of the physical switch port.

  • peerInterfaceUuid
    StringRequired

    The UUID of the server interface connected to the physical switch port.

  • switchUuid
    StringRequired

    The UUID of the switch to which the physical switch port belongs.

  • sdnControllerUuid
    StringRequired

    The SDN controller UUID.

  • createDate
    TimestampRequired

    The last operation date.

  • lastOpDate
    TimestampRequired

    The last operation date.

  • Change Time

    AddedResponse fields ethTrunkName, peerInterfaceUuid, portType...
    View API